# ApplicationFramework
TKStdLSchema
StdLSchema

# StdLSchema_PNaming_FieldOfHArray1OfNamedShape Class Reference

`#include <StdLSchema_PNaming_FieldOfHArray1OfNamedShape.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const PNaming_FieldOfHArray1OfNamedShape &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PNaming_FieldOfHArray1OfNamedShape &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PNaming_FieldOfHArray1OfNamedShape &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void StdLSchema_PNaming_FieldOfHArray1OfNamedShape::SAdd | ( | const PNaming_FieldOfHArray1OfNamedShape & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PNaming_FieldOfHArray1OfNamedShape::SRead | ( | PNaming_FieldOfHArray1OfNamedShape & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PNaming_FieldOfHArray1OfNamedShape::SWrite | ( | const PNaming_FieldOfHArray1OfNamedShape & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- StdLSchema_PNaming_FieldOfHArray1OfNamedShape.hxx